package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广者获得奖品名细 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterTradeOrderAwardDao;
import com.heyu.api.data.entity.vv.VvPromoterTradeOrderAwardEntity;
import com.heyu.api.data.service.vv.VvPromoterTradeOrderAwardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterTradeOrderAwardServiceImpl extends ServiceImpl<VvPromoterTradeOrderAwardDao, VvPromoterTradeOrderAwardEntity> implements VvPromoterTradeOrderAwardService {


    @Autowired
	private VvPromoterTradeOrderAwardDao vvPromoterTradeOrderAwardDao;



	@Override
	public VvPromoterTradeOrderAwardEntity selectVvPromoterTradeOrderAwardById(Long id){
		return vvPromoterTradeOrderAwardDao.selectVvPromoterTradeOrderAwardById(id);
	}



	@Override
	public Long insertVvPromoterTradeOrderAward(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward){
		return vvPromoterTradeOrderAwardDao.insertVvPromoterTradeOrderAward(vvPromoterTradeOrderAward);
	}



	@Override
	public Long insertOrUpdateVvPromoterTradeOrderAward(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward){
		return vvPromoterTradeOrderAwardDao.insertOrUpdateVvPromoterTradeOrderAward(vvPromoterTradeOrderAward);
	}



	@Override
	public int updateVvPromoterTradeOrderAwardById(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward){
		return vvPromoterTradeOrderAwardDao.updateVvPromoterTradeOrderAwardById(vvPromoterTradeOrderAward);
	}



	@Override
	public int updateCoverVvPromoterTradeOrderAwardById(VvPromoterTradeOrderAwardEntity vvPromoterTradeOrderAward){
		return vvPromoterTradeOrderAwardDao.updateCoverVvPromoterTradeOrderAwardById(vvPromoterTradeOrderAward);
	}



	@Override
	public int deleteVvPromoterTradeOrderAwardById(Long id){
		return vvPromoterTradeOrderAwardDao.deleteVvPromoterTradeOrderAwardById(id);
	}



}
